Member Function
Segment
Constructor
Segment<THost, InfixSegment> ()
Segment<THost, InfixSegment> (infix)
Segment<THost, InfixSegment> (host [, begin, end])
Parameters

infix | Other infix object. (copy constructor)
host | The whole sequence.
begin | Position/iterator in host of the first item in segment. Types: Iterator<THost>::Type, Position<THost>::Type
end | Position/iterator behind the end of the segment. Types: Iterator<THost>::Type, Position<THost>::Type

Remarks
A Segment object cannot work without a host. If the object is default constructed, the host must be set by setHost before the segment can be used.
If a segment object is constructed by the copy constructor, the members of the new constructed object are set to the same values as the members in the source object; the host object is not modified. Note that this is a special case, since all other copy operations result in changes of the host object.
begin and end must be valid positions/iterators in host.
The predicate begin <= end must be true.
Member of
InfixSegment
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49